Subject: Re: next-20090202: task kmemleak:763 blocked for more than 120seconds.

From: Catalin Marinas <[email-masked]>
Date: Fri, 06 Feb 2009 16:02:58 +0000

On Tue, 2009-02-03 at 20:52 +0000, Frederic Weisbecker wrote:
> Note that requiring kmemleak to be freezable looks only relevant if it does
> some memory allocations (hibernation needs some memory and prefer that there
> are not too much parallel memory allocations.)

OK. In this case, there is no need for the kmemleak thread to be
freezable. It only scans the memory periodically but doesn't allocate
any itself.

Thanks.

-- 
Catalin